$(function() {

  var navsrc = $('#navGlobalSub').data('include');
  localNav(navsrc);

  get_path();
  smooth_scroll();

});


function localNav(src) {
  $.ajax({
    url: src,
    type: 'GET',
    dataType: 'html',
    })
    .done(function(data) {
      // console.log("success");
      addNav(data);
    })
    .fail(function() {
      // console.log("error");
    })
    .always(function() {
      // console.log("complete");
    });
}

function addNav(data) {

  var $linkRef        = $('#navGlobalSub li'),
      $link           = $('#navGlobalSub li a'),
      className,
      classNameList   = [];

  var $data = $(data).find('.menu-item');

  $linkRef.each(function(i) {
    className = $(this).attr('class');
    classNameList.push(className);

    if ( i == 0) {
      return;
    }
    if ( i != 0 ) {
      $($data[i-1]).addClass('menu-list menu-list-' + classNameList[i]).removeClass('col active');
      $(this).append($data[i-1]);
    }

  });

}

function smooth_scroll() {
  $('#navGlobalSub').on('click', 'a[href*="#"]:not([href="#"])', function() {
    if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
      var target = $(this.hash);
      target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
      if (target.length) {
        $('html, body').animate({
          scrollTop: target.offset().top
        }, 600, 'easeOutQuart');
        return false;
      }
    }
  });
}

function get_path() {
  var loc = location.pathname.replace(/^\//,'').split('/');

  if ( loc[1] ) {
    $('#navGlobalSub').find('.' + loc[1]).addClass('active');
  } else {
    $('#navGlobalSub').find('.top').addClass('active');
  }
}